# laravel-elixir-jsdoc
---
## Description
A laravel-elixir plugin for JSDOC [https://github.com/jsdoc3/jsdoc]
(https://github.com/jsdoc3/jsdoc)

> Documentation for Javascript files

---
## Install
First, install the package

```
npm install laravel-elixir-jsdoc;
```

---
## Usage: jsdoc()
Call the plugin in `gulpfile.js` with:

```
    require('laravel-elixir-jsdoc');
    mix.jsdoc();
```

## Options
```
mix.jsdoc(src, command);
```


### src
src defaults to Laravel javascript path ('resources/assets/js').

### command
The command argument is passed through to gulp-shell. If it works at the CLI, it should also work here.
* If output is not defined as part of the command, it'll default to 'out'.

```
mix.jsdoc(src, '.\node_modules\.bin\jsdoc index.js');
```

## Configuration file
When run without a command, the script will try and detect a 'jsdoc.json' file to use.
If detected, it will run the command with the equivalent of running with the _'-c jsdoc.json'_ switch.
See [Configuring JSDoc] (http://usejsdoc.org/about-configuring-jsdoc.html) for further options.

---
---
### TODOs 
No TODOs


---
## Changelog
* 2016-03-25 v1.0.0 Initial release
* 2016-05-06 v1.1   Add support for config file
